Update configuration override

Update configuration overrides for a specific MCP tool.

Path parameters

mcp_server_idstringRequired
ID of the MCP Server.
tool_namestringRequired
Name of the MCP tool to update config overrides for.

Headers

xi-api-keystringOptional

Query parameters

environmentstringOptionalDefaults to production

Environment whose values are used when the MCP server URL, headers, or auth connection reference environment variables. Mirrors the environment a conversation would run in; defaults to production.

Request

This endpoint expects an object.
pre_tool_speechenum or nullOptionalDefaults to auto

If set, overrides the server’s pre_tool_speech setting for this tool.

interruption_modeenum or nullOptionalDefaults to allow

If set, overrides the server’s interruption_mode setting for this tool.

tool_call_soundenum or "off" or nullOptional

Overrides the server’s tool_call_sound setting for this tool. A sound name plays that sound; ‘off’ overrides to no sound (silence); null means do not override (inherit the server default).

tool_call_sound_behaviorenum or nullOptionalDefaults to auto

If set, overrides the server’s tool_call_sound_behavior setting for this tool

execution_modeenum or nullOptionalDefaults to immediate

If set, overrides the server’s execution_mode setting for this tool

response_timeout_secsinteger or nullOptional5-300
If set, overrides the server's response timeout for this MCP tool.
assignmentslist of objects or nullOptional
Dynamic variable assignments for this MCP tool
input_overridesmap from strings to objects or nullOptional
Mapping of json path to input override configuration
response_mockslist of objects or nullOptional

Mock responses with optional parameter conditions. Evaluated top-to-bottom; first match wins.

force_pre_tool_speechboolean or nullOptionalDeprecated

DEPRECATED: use pre_tool_speech instead. If set, overrides the server’s force_pre_tool_speech setting for this tool.

disable_interruptionsboolean or nullOptionalDeprecated

DEPRECATED: use interruption_mode instead. If set, overrides the server’s disable_interruptions setting for this tool.

Response

Successful Response
idstring
configobject
metadataobject
The metadata of the MCP Server
access_infoobject or null
The access information of the MCP Server
dependent_agentslist of objects
List of agents that depend on this MCP Server.

Errors

404
Not Found Error
422
Unprocessable Entity Error